# Source: https://github.com/Chick2D/neofetch-themes/ 
# Made by https://github.com/mmsaeed509 (ozozFetch)
# Customization Wiki https://github.com/dylanaraps/neofetch/wiki/Customizing-Info

print_info() {
        
    prin "${c1} Sys-Info       "
    info "${c5} ├─  Distro     " distro
    info "${c5} ├─  Kernel     " kernel
    info "${c5} ├─  DE/WM      " wm
    info "${c5} ├─ 󰍛 CPU        " cpu
    info "${c5} ├─ 󰍹 GPU        " gpu
    info "${c5} ├─ 󰅐 Up Time    " uptime
    info "${c5} └─  SHELL      " shell 
    prin "$(color 1)  $(color 2) $(color 3) $(color 4) $(color 5) $(color 6) $(color 7) $(color 8)"
    
}

##--------- Title
title_fqdn="off"

##--------- Kernel
kernel_shorthand="off"

##--------- Distro
distro_shorthand="off"
os_arch="off"

##--------- Uptime
uptime_shorthand="on"

##--------- Memory
memory_percent="off"
memory_unit="mib"

##--------- Packages
package_managers="on"

##--------- Shell
shell_path="off"
shell_version="on"

##--------- CPU
speed_type="bios_limit"
speed_shorthand="off"
cpu_brand="on"
cpu_speed="off"
cpu_cores="off"
cpu_temp="off"

##--------- GPU
gpu_brand="on"
gpu_type="all"

##--------- Resolution
refresh_rate="on"

##--------- Gtk Theme / Icons / Font
gtk_shorthand="off"
gtk2="on"
gtk3="on"

##--------- IP Address
public_ip_host="http://ident.me"
public_ip_timeout=2

# Desktop Environment
de_version="on"

##--------- Disk
disk_show=('/')
disk_subtitle="mount"
disk_percent="on"

##--------- Song
music_player="auto"
song_format="%artist% - %album% - %title%"
song_shorthand="off"
mpc_args=()

##--------- Text Colors
colors=(1 2 3 4 5 6 7 8)

##--------- Text Options
bold="on"
underline_enabled="on"
underline_char="󰍴"
separator=":"

##--------- Color Blocks
block_range=(0 15)
color_blocks="on"
block_width=3
block_height=1
col_offset="auto"

##--------- Progress Bars
bar_char_elapsed="-"
bar_char_total="="
bar_border="on"
bar_length=15
bar_color_elapsed="distro"
bar_color_total="distro"

# Info display
cpu_display="off"
memory_display="off"
battery_display="off"
disk_display="off"

##--------- Backend Settings
image_backend="ascii"
image_source="auto"

##--------- Ascii Options
ascii_distro="arch_small"
# Gruvbox Colors
ascii_colors=(3 3 3 3 3 3)
ascii_bold="on"

##--------- Image Options
image_loop="off"
thumbnail_dir="${XDG_CACHE_HOME:-${HOME}/.cache}/thumbnails/neofetch"
crop_mode="normal"
crop_offset="center"
image_size="auto"
gap=2
yoffset=0
xoffset=0
background_color=

##--------- Misc Options
stdout="off"
